Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.shimhost
Class OldStyleParams.PasswordParam

    java.lang.Object
      com.novell.nds.dirxml.shimhost.OldStyleParams.Param
          com.novell.nds.dirxml.shimhost.OldStyleParams.PasswordParam

Enclosing class:
  OldStyleParams

    public static class OldStyleParams.PasswordParam

extends OldStyleParams.Param

Encapsulation of a "password-ref" shim parameter.

Constructor Summary
`OldStyleParams.PasswordParam(String name)` Construct a new `PasswordParam` instance

Method Summary
`String` | `getPasswordName()` Return the name of the referenced password.
`void` | `setPasswordName(String newPasswordName)` Set the name of the referenced password (`calls setValue()`).
`Element` | `toXML(Node parent)` Construct an XML representation of this `PasswordParam`

Methods inherited from class com.novell.nds.dirxml.shimhost.OldStyleParams.Param
`getDisplayName, getName, getValue, hasBeenModified, resetModified, setDisplayName, setName, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OldStyleParams.PasswordParam

    public OldStyleParams.PasswordParam(String name)
                                 throws IllegalArgumentException

  Construct a new `PasswordParam` instance

  Parameters:
    `name` - name of the parameter (and name of XML element)
  Throws:
    `IllegalArgumentException` - if `name` does not match the XML Name production

Method Detail

### toXML

    public Element toXML(Node parent)

  Construct an XML representation of this `PasswordParam`

  Overrides:
    `toXML` in class `OldStyleParams.Param`
  Parameters:
    `parent` - `Node` under which to build representation
  Returns:
    constructed `Element`
  See Also:
    `OldStyleParams.Param.hasBeenModified()`, `OldStyleParams.Param.resetModified()`

### getPasswordName

    public String getPasswordName()

  Return the name of the referenced password.

  Returns:
    password name (same as `getValue()`)

### setPasswordName

    public void setPasswordName(String newPasswordName)
                         throws IllegalArgumentException

  Set the name of the referenced password (`calls setValue()`).

  Parameters:
    `newPasswordName` - password name
  Throws:
    `IllegalArgumentException` - if `newPasswordName` is `null` or 0-length

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD